package com.qmth.teachcloud.eds.job;

import com.qmth.teachcloud.eds.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * 考生成绩同步
 */
public class StudentScoreSyncJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(StudentScoreSyncJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) {
        try {
            jobService.syncStudentScore();
        } catch (Exception e) {
            log.error("ERROR", e);
        }
    }
}
